Agora RTC Objective-C API Reference Refactor

Data Fields
AudioRecordingConfiguration Struct Reference

## Data Fields
const char * | filePath
bool | encode
int | sampleRate
AUDIO_FILE_RECORDING_TYPE | fileRecordingType
AUDIO_RECORDING_QUALITY_TYPE | quality
int | recordingChannel

## Detailed Description

Recording configuration.

## Constructor & Destructor Documentation

## ◆ AudioRecordingConfiguration() [1/4]

AudioRecordingConfiguration | ( |  | ) |
| inline

## ◆ AudioRecordingConfiguration() [2/4]

AudioRecordingConfiguration | ( | const char * | file_path,
|  | int | sample_rate,
|  | AUDIO_RECORDING_QUALITY_TYPE | quality_type,
|  | int | channel
| ) |  |
| inline

## ◆ AudioRecordingConfiguration() [3/4]

AudioRecordingConfiguration | ( | const char * | file_path,
|  | bool | enc,
|  | int | sample_rate,
|  | AUDIO_FILE_RECORDING_TYPE | type,
|  | AUDIO_RECORDING_QUALITY_TYPE | quality_type,
|  | int | channel
| ) |  |
| inline

## ◆ AudioRecordingConfiguration() [4/4]

AudioRecordingConfiguration | ( | const AudioRecordingConfiguration & | rhs | ) |
| inline

## Field Documentation

## ◆ filePath

const char* filePath

The absolute path (including the filename extensions) of the recording file. For example: `C:\music\audio.mp4`.

Note
  Ensure that the directory for the log files exists and is writable.

## ◆ encode

bool encode

Whether to encode the audio data:

- `true`: Encode audio data in AAC.
- `false`: (Default) Do not encode audio data, but save the recorded audio data directly.

## ◆ sampleRate

int sampleRate

Recording sample rate (Hz).

- 16000
- (Default) 32000
- 44100
- 48000
  Note
    If you set this parameter to 44100 or 48000, Agora recommends recording WAV files, or AAC files with quality to be `AUDIO_RECORDING_QUALITY_MEDIUM` or `AUDIO_RECORDING_QUALITY_HIGH` for better recording quality.

## ◆ fileRecordingType

AUDIO_FILE_RECORDING_TYPE fileRecordingType

The recording content. See `AUDIO_FILE_RECORDING_TYPE`.

## ◆ quality

AUDIO_RECORDING_QUALITY_TYPE quality

Recording quality. See `AUDIO_RECORDING_QUALITY_TYPE`.

Note
  This parameter applies to AAC files only.

## ◆ recordingChannel

int recordingChannel

Recording channel. The following values are supported:

- (Default) 1
- 2